[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.BookmarkValid

Determines if the specified Bookmark is valid for the dataset

## Declaration

Source position: bufdataset.pas line 653

`public function TCustomBufDataset.BookmarkValid(`
`ABookmark: TBookMark`
`):Boolean; override;`

## Arguments

`ABookmark` |  | Bookmark examined in the method

## Function result

True when the bookmark is valid

## Description

BookmarkValid is an overridden Boolean function used to determine if the Bookmark specified in ABookmark is valid for the currently selected index in the dataset. BookmarkValid re-implements the method defined in the ancestor class.

BookmarkValid requires an index be selected and assigned to the CurrentIndexBuf property. The return value is False when no index is available to validate the bookmark. The return value is True when ABookmark represents a valid bookmark in the selected index.

## See also

TBufIndex.BookmarkValid |  | Indicates the specified Bookmark is valid